IBM Support

Detailed System Requirements for v11.3 of the IBM InfoSphere Optim Solutions and SQL Server as a Data Source DBMS

Product Documentation


Abstract

This document provides information about prerequisites for the IBM® InfoSphere® Optim™ solutions and their features. Requirements for using SQL Server as a data source DBMS are provided as well.

Content

IBM InfoSphere Optim Solutions Supported Data Sources

Click on the DBMS name in the tabs below for the detailed system requirements page for it.

 

The Optim solutions support data sources heterogeneously. That is, a solution can generally process a business object that consists of data from one or more data sources or extract data from one data source or DBMS and insert it in another.

To prevent inadvertent deletion or alteration of data from system tables for your relational database management system, your Optim solution cannot be used in INSERT, UPDATE, or DELETE processing against these tables.

Note that Optim does not currently support Temporal Tables in any data source.

Optim Directory Support

For Optim 11.3 solutions that use Optim Designer and Optim Manager, the Optim Directory and the IBM InfoSphere Optim Connection Manager database must be Unicode and are supported on the following database management systems only.

In DB2, certain directory tables require an 8K tablespace. The default size for DB2 is 4K. Ensure that the directory owner has authorization to an 8K tablespace or that a specific 8K tablespace is specified when installing or upgrading.

DB2® for Linux, UNIX, and Windows Oracle SQL Server

v9.5 (FP10 or later)

v11gR1 (11.1.0.7 or later)

2008 R1

v9.7

v11gR2 (11.2)

2008 R2

v10.1

12cR1 and 12cR2

Minimum required level of Optim is 11.3.0.6

2012

v10.5

18c

Minimum required level of Optim is 11.3.0.8

2014

v11.1

Minimum required level of Optim is 11.3.0.5

19c

Minimum required level of Optim is 11.3.0.8

2016

Minimum required level of Optim is 11.3.0.5

v11.5
Minimum required level of Optim is 11.3.0.8 with intermediate fix (iFix) 023-A. See "How to Add Toleration of IBM® Db2 11.5 to IBM® InfoSphere Optim 11.3" for detailed installation instructions.

2017

Minimum required level of Optim is 11.3.0.7

SQL Server as a Data Source Requirements

Version Support Level Comments

2000

Supported

2005

Supported

2008

Supported

SQL Server Loader does not support the GEOGRAPHY, GEOMETRY or HIERARCHYID data types.

2012

Toleration

SQL Server Loader does not support the GEOGRAPHY, GEOMETRY or HIERARCHYID data types.

2014

Toleration

SQL Server Loader does not support the GEOGRAPHY, GEOMETRY or HIERARCHYID data types.

2016

Supported

SQL Server Loader does not support the GEOGRAPHY, GEOMETRY or HIERARCHYID data types.

Minimum required level of Optim is 11.3.0.5

Optim supports the Always Encrypted feature. See Note 1 and Set up considerations below.

2017

Azure

Supported

SQL Server Loader does not support the GEOGRAPHY, GEOMETRY or HIERARCHYID data types.

Minimum required level of Optim is 11.3.0.7

Optim supports the Always Encrypted feature. See Note 1 and Set up considerations below.

Support levels

The support level for a version of a database is toleration or supported.

If a database is provided at a toleration level, the Optim solution can connect to the data source. The Optim solution also supports data types and features supported in previous releases of the solution but does not support all features of the data source.

If a data source is supported, the Optim solution also:

  • Supports processing of the most common data types for the data source
  • Might support or exploit other new features of the data source
In addition, for relational databases, the Optim solution supports extracting object definitions for the database as well as preserving and using (with the Optim create utility) extracted objects.

Note 1:

Optim will allow the use of Microsoft SQL Server ODBC Driver versions older than 17.02. However, with the older versions, the ability to use VARCHAR(MAX) and/or VARBINARY(MAX) is disabled.  A Trace record is written that indicates that an older ODBC Driver version is in use.

Set up considerations

The following considerations apply when using an Optim server to access SQL Server on Linux or UNIX:
  • SQL Versions higher than 2014 are NOT currently supported on Linux or UNIX
  • You must use the DataDirect ODBC driver manager distributed with your Optim solution to configure the server on a Linux or UNIX machine. For information needed to install and configure the DataDirect ODBC driver manager, see the Progress DataDirect "DataDirect Connect® Series for ODBC Users Guide".
  • The Optim directory cannot reside on Linux or UNIX.
The following considerations apply for SQL Server 2016 and 2017
  • Support is currently limited to Windows only
  • Microsoft “ODBC Driver 17 for SQL Server” requirements for use of Always Encrypted with VARCHAR(MAX) and VARBINARY(MAX) data types:
    • The minimum version of the Microsoft “ODBC Driver 17 for SQL Server” is 17.02. With this version there is a 64MB -1 size limitation on Always Encrypted support for VARCHAR(MAX) and VARBINARY(MAX) columns.
    • Moving to version 17.3 or higher of the Microsoft “ODBC Driver 17 for SQL Server” removes this limitation.
The following considerations apply for SQL Server 2016
  • Minimum version of Optim is 11.3.0.5 which does not include support for SQL Server Always Encrypted functionality
  • To get support for the SQL Server Always Encrypted functionality requires:
    • Optim 11.3.0.6 with iFix 011 supports Microsoft “ODBC Driver 17 for SQL Server” 17.02. With this version there is a 64MB -1 size limitation on Always Encrypted support for VARCHAR(MAX) and VARBINARY(MAX) columns.
    • Optim 11.3.0.7 supports Microsoft “ODBC Driver 17 for SQL Server” 17.02. With this version there is a 64MB -1 size limitation on Always Encrypted support for VARCHAR(MAX) and VARBINARY(MAX) columns.
    • Optim 11.3.0.7 with iFix 034 adds support for  Microsoft “ODBC Driver 17 for SQL Server” 17.3 and higher. With this combination the limits on VARCHAR(MAX) and VARBINARY(MAX) are as defined by Microsoft.
The following considerations apply for SQL Server 2017
  • Minimum version of Optim is 11.3.0.7 which supports Always Encrypted functionality with the following considerations:
    • Without iFix 034 applied, Optim 11.3.0.7 supports Microsoft “ODBC Driver 17 for SQL Server” 17.02. With this version there is a 64MB -1 size limitation on Always Encrypted support for VARCHAR(MAX) and VARBINARY(MAX) columns.
    • With iFix 034 applied, Optim 11.3.0.7 supports Microsoft “ODBC Driver 17 for SQL Server” 17.3 and higher. With this combination the limits on VARCHAR(MAX) and VARBINARY(MAX) are as defined by Microsoft.

Requirements for Included Products

Use the following links to view additional requirements for each product included in version 11.3 of IBM InfoSphere Optim solutions.

[{"Product":{"code":"SSGMCR","label":"Optim"},"Business Unit":{"code":"BU053","label":"Cloud & Data Platform"},"Component":"Solutions","Platform":[{"code":"PF002","label":"AIX"},{"code":"PF016","label":"Linux"},{"code":"PF027","label":"Solaris"},{"code":"PF033","label":"Windows"}],"Version":"11.3.0","Edition":""}]

Document Information

Modified date:
03 August 2020

UID

swg27043015